<reset-fup-dialog class="reset-fup-dialog">
	{_("fupResetInfo")}
	<br><br>
	<div ref="onlyWebWarning">
		<ui-checkbox label-id="fupOnlyWeb" on-change={onCheckboxChange}></ui-checkbox>
		<span class="onlyWebHelp">
			<a href={window.config.links.fupInfo} target="_blank">
				{_("whatDoesThisMean")}
			</a>
		</span>
		<br><br>
	</div>
	<div if={!isReseting} ref="turnstile" class="center-align"></div>
	<div if={isReseting} style="">
		<div class="p-10 relative">
			<preloader-spinner center=1 message=></preloader-spinner>
		</div>
		<div class="grey-text center-align">
			{_("resetingFup")}
		</div>
	</div>

	<script>
		require("./reset-fup-dialog.scss")

		const {Connection} = require("core/Connection.js")

		this.showTurnstile = false
		this.isTurnstileInitialized = false
		this.isReseting = false

		onCheckboxChange(){
			$(this.refs.onlyWebWarning).fadeOut()
			this.showTurnstile = true
			this.startupTurnstile()
		}

		startupTurnstile(){
			if(this.showTurnstile && !this.isTurnstileInitialized && turnstile){
				turnstile.render(this.refs.turnstile, {
			        sitekey: window.config.TURNSTILE_KEY,
			        callback: this.resetFup.bind(this),
			    })
			    this.isTurnstileInitialized = true
			}
		}

		resetFup(token){
			this.isReseting = false
			this.update()
			Connection.get({
				url: window.config.URL_CA + "users/me/reset_fup",
				xhrParams: {
					method: "POST",
					contentType: "application/json",
					data: JSON.stringify({
						turnstile_token: token
					})
				},
				done: (payload) => {
					this.modalParent.close()
					Dispatcher.trigger("openDialog", {
						small: true,
						onTop: true,
						title: _("done"),
						content: _("fupResetDone"),
						buttons: [{
							label: _("reloadPage"),
							class: "btn-primary",
							onClick: () => {
								window.location.reload()
							}
						}]
					})
				},
				fail: (payload) => {
					SkE.showError(getPayloadError(payload) || _("somethingWentWrong"))
				},
				always: () => {
					this.isReseting = false
					this.update()
				}
			})
		}

		this.on("mount", () => {
			if(!document.getElementById("turnstileScript")){
				var script = document.createElement("script")
				script.id = "turnstileScript"
				script.onload = this.startupTurnstile.bind(this)
				script.src = "https://challenges.cloudflare.com/turnstile/v0/api.js?render=explicit"
				document.body.appendChild(script)
			}
		})
	</script>
</reset-fup-dialog>
